<div class="container h-100">
  <div class="row align-items-center h-100">
    <div class="col-12 mx-auto">
      <div class="card">
        <div class="card-header">
          <a href="/ecommerce" class="text-decoration-none">Home</a> {{primeraCategoria?.id ? '>' : ''}}
          <a *ngIf="primeraCategoria?.id" href="category/{{primeraCategoria.id}}" class="text-decoration-none">{{primeraCategoria.nombre}}</a> {{segundaCategoria?.id ? '>' : ''}}
          <a *ngIf="segundaCategoria?.id" href="category/{{primeraCategoria.id}}/{{segundaCategoria.id}}" class="text-decoration-none">{{segundaCategoria.nombre}}</a> {{terceraCategoria?.id ? '>' : ''}}
          <a *ngIf="terceraCategoria?.id" href="category/{{primeraCategoria.id}}/{{segundaCategoria.id}}/{{terceraCategoria.id}}" class="text-decoration-none">{{terceraCategoria.nombre}}</a> {{cuartaCategoria?.id ? '>' : ''}}
          <a *ngIf="cuartaCategoria?.id" href="category/{{primeraCategoria.id}}/{{segundaCategoria.id}}/{{terceraCategoria.id}}/{{cuartaCategoria.id}}" class="text-decoration-none">{{cuartaCategoria.nombre}}</a>
        </div>
        <div class="container">
          <div class="row row-cols-2">
            <div class="col">
              <div class="card border-light">
                <div id="carouselExampleIndicators" class="carousel slide" data-bs-ride="carousel">
                  <div class="carousel-indicators">
                    <button type="button" data-bs-target="#carouselExampleIndicators" data-bs-slide-to="0" class="active" aria-current="true" aria-label="Slide 1"></button>
                    <button type="button" data-bs-target="#carouselExampleIndicators" data-bs-slide-to="1" aria-label="Slide 2"></button>
                    <button type="button" data-bs-target="#carouselExampleIndicators" data-bs-slide-to="2" aria-label="Slide 3"></button>
                  </div>
                  <div class="carousel-inner">
                    <div class="carousel-item active">
                      <img src={{producto.imagen}} class="d-block w-100" alt="...">
                    </div>
                    <div class="carousel-item">
                      <img src={{producto.imagen}} class="d-block w-100" alt="...">
                    </div>
                    <div class="carousel-item">
                      <img src={{producto.imagen}} class="d-block w-100" alt="...">
                    </div>
                  </div>
                  <button class="carousel-control-prev" type="button" data-bs-target="#carouselExampleIndicators" data-bs-slide="prev">
                    <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                    <span class="visually-hidden">Previous</span>
                  </button>
                  <button class="carousel-control-next" type="button" data-bs-target="#carouselExampleIndicators" data-bs-slide="next">
                    <span class="carousel-control-next-icon" aria-hidden="true"></span>
                    <span class="visually-hidden">Next</span>
                  </button>
                </div>
                <div class="card-body">
                  <h5 class="card-title">Card title</h5>
                  <p class="card-text">Some quick example text to build on the card title and make up the bulk of the
                    card's content.</p>
                  <a href="#" class="btn btn-primary">Go somewhere</a>
                </div>
              </div>
            </div>
            <div class="col">
              <div class="card-body">
                <p class="fw-light fs-6 lh-1">{{producto.sku}}</p>
                <p class="fw-light lh-1">{{producto.marca | uppercase}}</p>
                <h4 class="card-title fw-light">{{producto.nombre}}</h4>
                <h5 class="card-title text-muted">{{producto.precio | price}}</h5>
                <button type="button" class="btn btn-primary mb-2">Agregar al carro</button>
                <div class="bg-secondary bg-opacity-10">
                  <ul>
                    <p style="font-size: 72%; font-weight: bold; margin-bottom: 0% !important; padding-top: 10px !important;">Características destacadas</p>
                    <li *ngFor="let caracteristica of producto.caracteristicas">
                      <p style="font-size: 65%; font-weight: bold; margin-bottom: 0% !important;">{{caracteristica.titulo}}: <span style="font-weight: normal;">{{caracteristica.valor}}</span></p>
                    </li>
                  </ul>
                </div>
                <img [src]="base64" />
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>